Subject: bug#68254: closed (Re: bug#68254: EWW ‘readable’by default)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 Mar 2024 17:28:01 +0000

Your bug report

#68254: EWW ‘readable’ by default

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68254: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68254
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68254: EWW ‘readable’ by default
From: Jim Porter <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 23 Mar 2024 10:26:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 3/23/2024 12:48 AM, Eli Zaretskii wrote:
> The doc string of this user option should explain what is the
> "readable mode", or at least have a hyper-link to eww-readable (which
> does explain that).  Users who read this doc string should understand
> what that mode does, and (unlike in the manual) there's no prior
> context to rely upon.

Good point. I added the following to the docstring: "EWW will display 
matching URLs using `eww-readable' (which see)." I also merged this to 
the master branch as 4b0f5cdb01f, so closing this bug.

Subject: EWW ‘readable’ by default
From: Navajeeth <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 05 Jan 2024 07:35:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I nearly always prefer reading webpages in EWW after running the eww-readable command. Can it be possible to have EWW open webpages in the ‘readable’ view by default, but let you display the full (pre–​eww-readable​) render of a webpage with a command? I.e. have an inverse of the current setup, where you have to manually toggle the readable view.
—Navajeeth